//-----------------------------------------------------------------------------
/// Headername  : BinarizeApp.h @file
///
///               Interface of class CBinarizeApp.
///
///  2003 Sirona Dental Systems GmbH - All Rights Reserved
///
/// Status      : Draft
///
/// Revision history - Version 1.0
///
/// 15.09.03 - Draft => V.1.0 (MCI, Fa. MGW)
//-----------------------------------------------------------------------------
#ifndef BINARIZEAPP_H__
#define BINARIZEAPP_H__

//-----------------------------------------------------------------------------
// Standard includes
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Own includes
//-----------------------------------------------------------------------------
#include "resource.h"   // main resources

//-----------------------------------------------------------------------------
// Definitions, macros und constants
//-----------------------------------------------------------------------------
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
   #error include 'stdafx.h' before including this file for PCH
#endif

//-----------------------------------------------------------------------------
// Data types
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Prototype of the public functions
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
/// Classname  : CBinarizeApp : public CWinApp
///
/// Application class
//-----------------------------------------------------------------------------
class CBinarizeApp : public CWinApp
{
   //---------------------------------------------------------------------------
   // Member functions
   //---------------------------------------------------------------------------
public:
   CBinarizeApp();

   //{{AFX_VIRTUAL(CBinarizeApp)
   public:
   virtual BOOL InitInstance();
   //}}AFX_VIRTUAL

   //{{AFX_MSG(CBinarizeApp)
   afx_msg void OnAppAbout();
   //}}AFX_MSG

   DECLARE_MESSAGE_MAP()

   //---------------------------------------------------------------------------
   // Member variables                                       - Short description
   //---------------------------------------------------------------------------
protected:
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // BINARIZEAPP_H__
