//-----------------------------------------------------------------------------
/// Modulename : BinarizeDoc.cpp @file
///
/// Interface  : BinarizeDoc.h
///
///              Implementation of class CBinarizeDoc.
///
///  2003 Sirona Dental Systems GmbH - All Rights Reserved
///
/// Status     : Draft
///
/// Security   : -
///
/// Revision history - Version 1.0
///
/// 15.09.03 - Draft => V.1.0 (MCI, Fa. MGW)
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Standard includes
//-----------------------------------------------------------------------------
#include "stdafx.h"

//-----------------------------------------------------------------------------
// Own includes
//-----------------------------------------------------------------------------
#include "Binarize.h"
#include "BinarizeDoc.h"

//-----------------------------------------------------------------------------
// Private definitions, -macros and -constants
//-----------------------------------------------------------------------------
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

//-----------------------------------------------------------------------------
// Private data types
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// External references
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Module global variables
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Prototype of the private functions
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Implementation
//-----------------------------------------------------------------------------
IMPLEMENT_DYNCREATE(CBinarizeDoc, CDocument)

BEGIN_MESSAGE_MAP(CBinarizeDoc, CDocument)
   //{{AFX_MSG_MAP(CBinarizeDoc)
   //}}AFX_MSG_MAP
END_MESSAGE_MAP()

BEGIN_DISPATCH_MAP(CBinarizeDoc, CDocument)
   //{{AFX_DISPATCH_MAP(CBinarizeDoc)
      // NOTE - the ClassWizard will add and remove mapping macros here.
      //      DO NOT EDIT what you see in these blocks of generated code!
   //}}AFX_DISPATCH_MAP
END_DISPATCH_MAP()

static const IID IID_IBinarize =
{ 0x77109f71, 0x985f, 0x49c4, { 0x8e, 0xd5, 0x3a, 0x6, 0xc9, 0xd5, 0x83, 0x7 } };

BEGIN_INTERFACE_MAP(CBinarizeDoc, CDocument)
   INTERFACE_PART(CBinarizeDoc, IID_IBinarize, Dispatch)
END_INTERFACE_MAP()

//-----------------------------------------------------------------------------
/// Constructor
///
/// Remarks  : -
///
/// Security : -
///
/// Status   : Draft
///
/// Revision history - Version 1.0
///
/// 15.09.03 - Draft => V.1.0 (MCI, Fa. MGW)
//-----------------------------------------------------------------------------
CBinarizeDoc::CBinarizeDoc()
{
   EnableAutomation();

   AfxOleLockApp();
}

//-----------------------------------------------------------------------------
/// Destructor
///
/// Remarks  : -
///
/// Security : -
///
/// Status   : Draft
///
/// Revision history - Version 1.0
///
/// 15.09.03 - Draft => V.1.0 (MCI, Fa. MGW)
//-----------------------------------------------------------------------------
CBinarizeDoc::~CBinarizeDoc()
{
   AfxOleUnlockApp();
}

BOOL CBinarizeDoc::OnNewDocument()
{
   if (!CDocument::OnNewDocument())
      return FALSE;

   return TRUE;
}
