//-----------------------------------------------------------------------------
/// Headername  : BinarizeDoc.h @file
///
///               Interface of class CBinarizeDoc.
///
///  2003 Sirona Dental Systems GmbH - All Rights Reserved
///
/// Status      : Draft
///
/// Revision history - Version 1.0
///
/// 15.09.03 - Draft => V.1.0 (MCI, Fa. MGW)
//-----------------------------------------------------------------------------
#ifndef BINARIZEDOC_H__
#define BINARIZEDOC_H__

//-----------------------------------------------------------------------------
// Standard includes
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Own includes
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Definitions, macros und constants
//-----------------------------------------------------------------------------
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//-----------------------------------------------------------------------------
// Data types
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Prototype of the public functions
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
/// Classname  : CBinarizeDoc : public CDocument
///
/// Document class
//-----------------------------------------------------------------------------
class CBinarizeDoc : public CDocument
{
   //---------------------------------------------------------------------------
   // Member functions
   //---------------------------------------------------------------------------
protected:
   DECLARE_DYNCREATE(CBinarizeDoc)
   CBinarizeDoc();
public:
   virtual ~CBinarizeDoc();

   //{{AFX_VIRTUAL(CBinarizeDoc)
   public:
   virtual BOOL OnNewDocument();
   //}}AFX_VIRTUAL

protected:
   //{{AFX_MSG(CBinarizeDoc)
   //}}AFX_MSG
   DECLARE_MESSAGE_MAP()

   //{{AFX_DISPATCH(CBinarizeDoc)
   //}}AFX_DISPATCH
   DECLARE_DISPATCH_MAP()
   DECLARE_INTERFACE_MAP()

   //---------------------------------------------------------------------------
   // Member variables                                       - Short description
   //---------------------------------------------------------------------------
protected:
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // BINARIZEDOC_H__
