#ifndef MYCOOLEXESTARTPLUGIN_H__
#define MYCOOLEXESTARTPLUGIN_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CMyCoolExeStartPlugin : public CCmdTarget
{
protected:
   DECLARE_DYNCREATE(CMyCoolExeStartPlugin)
            CMyCoolExeStartPlugin();           // protected constructor used by dynamic creation
   virtual ~CMyCoolExeStartPlugin();

public:

   //{{AFX_VIRTUAL(CMyCoolExeStartPlugin)
   public:
   virtual void OnFinalRelease();
   //}}AFX_VIRTUAL

protected:
   LPDISPATCH GetApplication();
   BOOL       GetApplicationVersion( CString& strVersion, int& nVersionMajor, int& nVersionMinor );

   //{{AFX_MSG(CMyCoolExeStartPlugin)
      // NOTE - the ClassWizard will add and remove member functions here.
   //}}AFX_MSG

   DECLARE_MESSAGE_MAP()
   DECLARE_OLECREATE_EX(CMyCoolExeStartPlugin)

   //{{AFX_DISPATCH(CMyCoolExeStartPlugin)
   afx_msg BSTR GetLastParameters();
   afx_msg void SetLastParameters(LPCTSTR lpszNewValue);
   afx_msg BSTR GetVendor();
   afx_msg BSTR GetDescription();
   afx_msg BSTR GetVersion();
   afx_msg BSTR GetCategory();
   afx_msg BSTR GetMenuEntry();
   afx_msg BSTR GetMessageString();
   afx_msg BSTR GetTooltipText();
   afx_msg BSTR GetFriendlyName();
   afx_msg BSTR GetBitmapResourceSmall();
   afx_msg BSTR GetBitmapResourceLarge();
   afx_msg BSTR GetKey();
   afx_msg SCODE Run();
   afx_msg BSTR GetReserved();
   //}}AFX_DISPATCH
   DECLARE_DISPATCH_MAP()
   DECLARE_INTERFACE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // MYCOOLEXESTARTPLUGIN_H__
