#include "stdafx.h"
#include "ObjectModel.h"
#include "ObjectModelDoc.h"
#include "ObjectModelView.h"
#include "PluginDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

IMPLEMENT_DYNCREATE(CObjectModelView, CTreeView)

BEGIN_MESSAGE_MAP(CObjectModelView, CTreeView)
   //{{AFX_MSG_MAP(CObjectModelView)
	ON_COMMAND(IDM_OBJECTMODEL, OnObjectmodel)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

CObjectModelView::CObjectModelView()
{
}

CObjectModelView::~CObjectModelView()
{
}

BOOL CObjectModelView::PreCreateWindow(CREATESTRUCT& cs)
{
   return CTreeView::PreCreateWindow(cs);
}

void CObjectModelView::OnDraw(CDC* pDC)
{
   CObjectModelDoc* pDoc = GetDocument();
   ASSERT_VALID(pDoc);
}

void CObjectModelView::OnInitialUpdate()
{
   CTreeView::OnInitialUpdate();

   (void) PostMessage( WM_COMMAND, MAKEWPARAM( IDM_OBJECTMODEL, 0 ) );
}

void CObjectModelView::OnObjectmodel() 
{
   CPluginDialog dlg;
   (void) dlg.DoModal();
}
