#ifndef OBJECTMODELVIEW_H__
#define OBJECTMODELVIEW_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CObjectModelDoc;

class CObjectModelView : public CTreeView
{
protected: // create from serialization only
   DECLARE_DYNCREATE(CObjectModelView)
   CObjectModelView();
public:
   virtual ~CObjectModelView();

public:
   CObjectModelDoc* GetDocument() { return (CObjectModelDoc*)m_pDocument; }

   //{{AFX_VIRTUAL(CObjectModelView)
   public:
   virtual void OnDraw(CDC* pDC);  // overridden to draw this view
   virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
   protected:
   virtual void OnInitialUpdate(); // called first time after construct
   //}}AFX_VIRTUAL

protected:
   //{{AFX_MSG(CObjectModelView)
	afx_msg void OnObjectmodel();
	//}}AFX_MSG
   DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // OBJECTMODELVIEW_H__
